
D4Science Infrastructure - VM Creation #9301

VM creation for GeoNetwork connector development

Jul 18, 2017 11:02 AM - Fabio Sinibaldi

Status: Closed Start date: Jul 18, 2017

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: SDI-Security   

Infrastructure: Development Applications list and

version:

 

RAM: 3 Applications context

path:

geonetwork

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: LATEST PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube/devNext

/gcube/devNext/NextNext

  

Description

A clean SmartGears installation is required in order to develop/test the GeoNetwork connector. 

GeoNetwork application will be manually installed by @pasquale.vitale@eng.it, developper of such connector.

No postgis is required, since for this purpose we don't need high performances.

History

#1 - Jul 25, 2017 04:27 PM - Ciro Formisano

- Priority changed from Normal to Urgent

#2 - Jul 25, 2017 04:28 PM - Ciro Formisano

Please, prepare the VM as soon as possible since #9300 is blocked

#3 - Jul 26, 2017 12:04 PM - Pasquale Vitale

I tried to install the "SmartGears Distribution Bundle" but I couldn't see the logs of the handler. Here my steps:

Download and extract the tar.gz file

$ tar -xvzf smartgears-distribution-bundle-2.1.0-20170308.084408-1.tar.gz

 Install JDK 8

$ sudo add-apt-repository ppa:webupd8team/java

$ sudo apt-get update

$ sudo apt-get install oracle-java8-installer

$ java -version 

$ export JAVA_HOME=/usr/lib/jvm/java-8-oracle

$ export GHN_HOME=/home/ubuntu/SmartGears-Bundle/SmartGears

$ export CATALINA_HOME=/home/ubuntu/SmartGears-Bundle/tomcat

 Edit hosts file

$ sudo nano /etc/hosts
127.0.0.1 217.172.12.159 localhost smartgears

 Setup, in the SmartGears-Bundle folder

$ ./setup.sh -n 217.172.12.159 -f

 Edit container.xml (the follow lines)

$ sudo nano container.xml

<container mode='online'>

<hostname>217.172.12.159</hostname>

...

<token>cbe242bc-0e8e-4097-8358-dc19baa31afd-98187548</token> <!--- /gcube/devNext/NextNext -->

 Start the server

 ./startContainer.sh

#4 - Jul 26, 2017 12:25 PM - Andrea Dell'Amico

The VM does not exist yet. Can you open a new ticket for your problem?

#5 - Jul 26, 2017 12:36 PM - Pasquale Vitale

It was an installation of SmartGears on Ubuntu 14.04 VM (217.172.12.159). I'm waiting for a clean SmartGears VM.

#6 - Jul 26, 2017 06:04 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 20

host will be geonetwork-sdi.dev.d4science.org 146.48.122.81

#7 - Jul 26, 2017 06:14 PM - Pasquale Vitale

How can I connect via SSH?

I've got the bluebridge.pem (and gcube user) to connect on geoserver1-spatial-dev.d4science.org VM, but it doesn't work for geonetwork VM.

#8 - Jul 26, 2017 09:06 PM - Andrea Dell'Amico

- RAM changed from 2 to 3

#9 - Jul 26, 2017 09:40 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 20 to 100

The VM is ready. smartgears is installed and configured.

There also a working geonetwork installation.

If you need to remove it and install other geonetwork version, ensure that they are always installed as /geonetwork because that's the tomcat context

proxied by nginx.

@pasquale.vitale@eng.it has access as gcube user. Into the gcube home directory there are scripts to correctly start/stop tomcat

#10 - Jul 27, 2017 05:57 PM - Pasquale Vitale

The VM is ok, but I couldn't login with admin/admin credentials. I saw in the logs that the problem was no activate database. I used its default

database (mckoi - I did know it).

After this, there was another (migration) problem; here the log:

migration from 2.5.0 to 2.6.0 (dbtype:mckoi)...

No migration task found between webapp and database version.

The system may be unstable or may failed to start if you try to run

the current GeoNetwork 2.6.0 with an older database (ie. 2.5.0

). Try to run the migration task manually on the current database

before starting the application or start with a new empty database.

Sample SQL scripts for migration could be found in WEB-INF/sql/migrate folder.

I tried to use the sql file without success; I cannot login.

I've also deployed a new geonetwork.war (I saved the old), version 3.2.1. I can login but there is (in the log) the       error:
java.lang.NumberFormatException: For input string: "unknown"

at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65)

at java.lang.Integer.parseInt(Integer.java:580)

at java.lang.Integer.parseInt(Integer.java:615)

at org.fao.geonet.kernel.AccessManager.getAddress(AccessManager.java:511)

at org.fao.geonet.kernel.AccessManager.isIntranet(AccessManager.java:491)

at org.fao.geonet.kernel.AccessManager.getUserGroups(AccessManager.java:160)

...

#11 - Jul 28, 2017 10:41 AM - Fabio Sinibaldi

Hi pasquale,

since it's a new installation, there's no need to migrate any data. Just remove the installed geonetwork version with its data and install the one you

need in order to test the connector.

#12 - Sep 02, 2017 02:17 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
